# hash_map File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file hash_map.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Defines

- #define _HASH_MAP

## Functions

- template<class _Key, class _Tp, class _HF, class _EqKey, class _Alloc> bool operator!= (const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm1, const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm2)
- template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> bool operator!= (const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
- template<class _Key, class _Tp, class _HF, class _EqKey, class _Alloc> bool operator== (const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm1, const hash_multimap< _Key, _Tp, _HF, _EqKey, _Alloc > &__hm2)
- template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> bool operator== (const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, const hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
- template<class _Key, class _Tp, class _HashFn, class _EqKey, class _Alloc> bool operator== (const hash_map< _Key, _Tp, _HashFn, _EqKey, _Alloc > &, const hash_map< _Key, _Tp, _HashFn, _EqKey, _Alloc > &)
- template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> void swap (hash_multimap< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, hash_multimap< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)
- template<class _Key, class _Tp, class _HashFcn, class _EqlKey, class _Alloc> void swap (hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm1, hash_map< _Key, _Tp, _HashFcn, _EqlKey, _Alloc > &__hm2)